> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Point Types

> Gets all the point types configured for your business. The point types are categorized as: <br /> 1) Base points: Earned in any purchase transaction  based on the core rule. <br /> 2) Bonus points: Earned as a bonus for example on a large purchase. <br /> 3) Promotional Points: Earned as part of promotional events. <br /> 4) Restricted Points: Points to be used only on specific entity/stores. <br /> **Note**: You may choose only the point types that apply to your business.



## OpenAPI

````yaml member get /v1/inquire/point-type-choices
openapi: 3.0.1
info:
  title: Loyalty (Member)
  description: >-
    fabric **Loyalty** formerly **Member** is a Loyalty Management System (LMS)
    that enables marketers to create multiple loyalty strategies under a loyalty
    program to cater to various businesses and customer segments. <br />
    **Member overview**: <br /> During onboarding, you are given the necessary
    **credentials** (client_id and client_secret) to obtain an access token,
    which is required to run every call. Membership hierarchy is organized into
    Programs, Clubs, and Tiers. <br /> **Program** is the first hierarchy level
    and is where rewards and benefits are configured for the organization. <br
    /> **Club** is the second hierarchy level and is where Rules for the program
    are configured. <br />Each Club must have at least one **Tier**, which is
    used to define membership and to configure criteria and thresholds
    (including free vs paid). Additional hierarchy levels can be added to
    support the needs of your business.  <br /> Members are always enrolled into
    a **Default Tier** within a club. When members make purchases, they earn
    Points based on the rules set at the club level and/or based on promotions.
    When points in a member account reach a predefined **Threshold Value**,
    points are converted to **Rewards**. This conversion may be manual or
    automatic depending on the program configuration. Members can **Redeem**
    their rewards within the reward **Expiry Period**. Account point balances
    are updated after each point-impacting activity.
  version: 1.0.0
  contact:
    email: support@fabric.inc
  license:
    name: fabric Inc
    url: https://fabric.inc
servers:
  - url: https://vanilla-dev02-loyalty.fabric.zone/api
    description: For developers to work outside of the production environment.
  - url: https://vanilla-stg-loyalty.fabric.zone/api
    description: Replica of the production environment for testing.
  - url: https://loyalty-sbx.fabric.zone/api
    description: >-
      An isolated testing environment (UAT) to run programs without affecting
      the application, system or platform on which they run.
  - url: https://loyalty.fabric.zone/api
    description: Production environment.
security:
  - bearerAuth: []
paths:
  /v1/inquire/point-type-choices:
    get:
      tags:
        - Inquire
      summary: Get Point Types
      description: >-
        Gets all the point types configured for your business. The point types
        are categorized as: <br /> 1) Base points: Earned in any purchase
        transaction  based on the core rule. <br /> 2) Bonus points: Earned as a
        bonus for example on a large purchase. <br /> 3) Promotional Points:
        Earned as part of promotional events. <br /> 4) Restricted Points:
        Points to be used only on specific entity/stores. <br /> **Note**: You
        may choose only the point types that apply to your business.
      operationId: point-type-choices_list
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FetchPointTypeChoicesResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponseClass1'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponseClass2'
components:
  schemas:
    FetchPointTypeChoicesResponse:
      type: object
      description: Response of the *Get Redeemable Points* endpoint
      properties:
        status:
          title: Status
          description: Status of the call
          type: integer
          example: 200
          format: int32
        message:
          title: Message
          description: Message corresponding to the call
          example: Success
          type: string
          default: Exception message
        errors:
          title: Errors
          description: Error details, if applicable
          type: object
          properties: {}
          example: {}
        data:
          title: Data
          type: array
          items:
            $ref: '#/components/schemas/FetchPointTypeChoicesResponseDetails'
    GenericResponseClass1:
      type: object
      description: Bad request
      properties:
        message:
          title: Message
          minLength: 1
          type: string
          description: Message corresponding to the call.
          example: Error message string
        errors:
          title: Errors
          type: object
          properties: {}
          description: A dictionary of lists with different number of errors or exceptions.
          example:
            ExceptionString:
              - Invalid Field
        data:
          title: Data
          type: object
          properties: {}
          description: Returns data in the form of a list of dictionaries or null
          example: null
        status:
          title: Status
          type: integer
          description: Status code of the call
          example: 400
          format: int32
    GenericResponseClass2:
      type: object
      description: Unauthorized
      properties:
        detail:
          title: Detail
          type: string
          description: Message corresponding to the response
          example: Authentication Failed
    FetchPointTypeChoicesResponseDetails:
      required:
        - pointTypeChoices
      type: object
      properties:
        pointTypeChoices:
          type: array
          items:
            $ref: '#/components/schemas/PointType'
    PointType:
      required:
        - pointTypeId
        - pointTypeName
      type: object
      properties:
        pointTypeId:
          title: Pointtypeid
          maximum: 4
          minimum: 1
          type: integer
          description: ID of the point-type (between 1- 4)
          example: 1
          format: int32
        pointTypeName:
          title: Pointtypename
          minLength: 1
          type: string
          description: >-
            Point types. Categorized as: <br /> 1) Base points: Earned in any
            purchase transaction based on the core rule. <br /> 2) Bonus points:
            Earned as a bonus for example on a large purchase. <br /> 3)
            Promotional Points: Earned as part of promotional events. <br /> 4)
            Restricted Points: Points to be used only on specific entity or
            stores.
          example: BASE
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````